SFML 3.1.0
Loading...
Searching...
No Matches
Public Member Functions | List of all members
sf::GlResource::TransientContextLock Class Reference

RAII helper class to temporarily lock an available context for use. More...

`#include <SFML/Window/GlResource.hpp>`

## Public Member Functions
| TransientContextLock ()
| Default constructor.
| ~TransientContextLock ()
| Destructor.
| TransientContextLock (const TransientContextLock &)=delete
| Deleted copy constructor.
TransientContextLock & | operator= (const TransientContextLock &)=delete
| Deleted copy assignment.

## Detailed Description

RAII helper class to temporarily lock an available context for use.

Definition at line 74 of file GlResource.hpp.

## Constructor & Destructor Documentation

## ◆ TransientContextLock() [1/2]

sf::GlResource::TransientContextLock::TransientContextLock | ( |  | ) |

Default constructor.

## ◆ ~TransientContextLock()

sf::GlResource::TransientContextLock::~TransientContextLock | ( |  | ) |

Destructor.

## ◆ TransientContextLock() [2/2]

sf::GlResource::TransientContextLock::TransientContextLock | ( | const TransientContextLock & |  | ) |
| delete

Deleted copy constructor.

## Member Function Documentation

## ◆ operator=()

TransientContextLock & sf::GlResource::TransientContextLock::operator= | ( | const TransientContextLock & |  | ) |
| delete

Deleted copy assignment.

The documentation for this class was generated from the following file:

- GlResource.hpp